## ros-one-jrl-cmakemodules 1.1.0-9jammy.20251103.2032

=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.0-9jammy.20251103.2032) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 03 Nov 2025 20:32:54 +0000

ros-one-jrl-cmakemodules (1.1.0-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 03 Nov 2025 20:32:54 -0000
