=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.0-9noble.20251103.2028) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 03 Nov 2025 20:28:24 +0000

ros-one-jrl-cmakemodules (1.1.0-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 03 Nov 2025 20:28:24 -0000
