## ros-one-jrl-cmakemodules 1.1.2-12jammy.20251207.2026

=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.2-12jammy.20251207.2026) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Sun, 07 Dec 2025 20:26:35 +0000

ros-one-jrl-cmakemodules (1.1.2-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Sun, 07 Dec 2025 20:26:35 -0000
