## ros-one-jrl-cmakemodules 1.1.2-12noble.20251208.0721

=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.2-12noble.20251208.0721) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 08 Dec 2025 07:21:09 +0000

ros-one-jrl-cmakemodules (1.1.2-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 08 Dec 2025 07:21:09 -0000
