## ros-one-jrl-cmakemodules 1.1.2-24noble.20260116.2027

=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.2-24noble.20260116.2027) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Fri, 16 Jan 2026 20:27:23 +0000
