## ros-one-jrl-cmakemodules 1.1.2-27jammy.20260226.2044

=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.2-27jammy.20260226.2044) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Thu, 26 Feb 2026 20:44:22 +0000
