=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.2-27noble.20260226.2043) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Thu, 26 Feb 2026 20:43:42 +0000
