=== debian/control ===
Source: ros-one-jrl-cmakemodules
Section: misc
Priority: optional
Maintainer: Guilhem Saurel <guilhem.saurel@laas.fr>
Build-Depends: debhelper (>= 9.0.0), cmake, doxygen, pkg-config
Homepage: https://github.com/jrl-umi3218/jrl-cmakemodules
Standards-Version: 3.9.2

Package: ros-one-jrl-cmakemodules
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, doxygen, pkg-config
Description: CMake utility toolbox
